using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Negocio;
using System.Net.Mail;
using System.Net;

namespace Forms {
    public partial class FEnviarCorreo : Form {

        public FEnviarCorreo() {
            InitializeComponent();
        }

        private void btOK_Click(object sender, EventArgs e) {
            if (String.IsNullOrEmpty(txtNick.Text)) {
                MessageBox.Show("Debe escribir su nick de usuario.", "WARNING", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            } else {
                EUsuario user = new EUsuario();
                user.Cargar(EUsuario.NPNick, txtNick.Text);
                if (user.Existe) {
                    MailMessage message = new MailMessage();
                    message.To.Add(user.Email);
                    message.From = new MailAddress("adminsoftwareauto@gmail.com", "ADMINISTRADOR", System.Text.Encoding.UTF8);
                    message.Subject = "Nueva contrasea.";
                    message.SubjectEncoding = System.Text.Encoding.UTF8;
                    //cuerpo del mensaje: aqu insertamos la nueva contrasea.
                    string nuevaContrasenha = user.NuevaContrasenha();
                    message.Body = "Ha solicitado una nueva contrasea. Estos son sus nuevos datos de usuario:\nUsuario: " + user.Nick +
                        "\nContrasea: " + nuevaContrasenha;
                    message.BodyEncoding = System.Text.Encoding.UTF8;
                    message.IsBodyHtml = false;
                    //
                    SmtpClient client = new SmtpClient();
                    client.Credentials = new System.Net.NetworkCredential("adminsoftwareauto@gmail.com", "administrador01");
                    client.Port = 587;
                    client.Host = "smtp.gmail.com";
                    client.EnableSsl = true;
                    try {
                        client.Send(message);
                        user.Contrasenha = nuevaContrasenha;
                        user.Guardar();
                        MessageBox.Show("El mensaje se ha enviado correctamente.", "OK", MessageBoxButtons.OK, MessageBoxIcon.Information);
                        this.Close();
                    } catch (Exception exc) {
                        MessageBox.Show("Se ha producido un error:\n" + exc.Message, "ERROR", MessageBoxButtons.OK, MessageBoxIcon.Error);
                    }
                } else {
                    MessageBox.Show("El usuario con ese nick no existe.", "WARNING", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                }
            }
        }
    }
}