using System;
using System.Collections.Generic;
using System.Text;
using Nibi.Negocio;
using Negocio;

namespace Forms {
    class FabrFAutomovilismo : FabrFBase{

        public FabrFAutomovilismo():base(){
            AgregarMapeo(typeof(EPiloto), typeof(FPiloto));
            AgregarMapeo(typeof(ECopiloto), typeof(FCopiloto));
            AgregarMapeo(typeof(EOficial), typeof(FOficial));
            AgregarMapeo(typeof(EEscuderia), typeof(FEscuderia));
            AgregarMapeo(typeof(ESubida), typeof(FSubida));
            AgregarMapeo(typeof(ERally), typeof(FRally));

            AgregarMapeo(typeof(ELicencia), typeof(FLicencia));
            AgregarMapeo(typeof(ELicenciaPiloto), typeof(FLicPiloto));
            AgregarMapeo(typeof(ELicenciaCopiloto), typeof(FLicCopiloto));
            AgregarMapeo(typeof(ELicenciaOficial), typeof(FLicOficial));
            AgregarMapeo(typeof(ELicenciaEscuderia), typeof(FLicEscuderia));

            AgregarMapeo(typeof(EVehiculo), typeof(FVehiculo));
            AgregarMapeo(typeof(ECampeonato), typeof(FCampeonato));
            AgregarMapeo(typeof(ECampeonatoPuntuable), typeof(FCampeonatoPuntuable));
            AgregarMapeo(typeof(ESector), typeof(FSector));

            AgregarMapeo(typeof(EPilotoCarrera), typeof(FInscrito));
            AgregarMapeo(typeof(ESancion), typeof(FSancion));
            AgregarMapeo(typeof(EDocInformeFinal), typeof(FDocumento));
            AgregarMapeo(typeof(EDocListaAutorizados), typeof(FDocumento));
            AgregarMapeo(typeof(EDocListaBriefing), typeof(FDocumento));
            AgregarMapeo(typeof(EDocVerificacionTecnica), typeof(FDocumento));

            AgregarMapeo(typeof(EUsuario), typeof(FUsuario));
            AgregarMapeo(typeof(EPermiso), typeof(FPermiso));
        }
    }
}
