using System;
using System.Collections.Generic;
using System.Text;

namespace Negocio {
    public class CalculadorCoeficiente : CalculadorPuntos {

        public CalculadorCoeficiente(ECampeonatoPuntuable campeonatoPuntuable) : base(campeonatoPuntuable) { }

        public override TipoCalculoPuntos TipoCalculador {
            get { return TipoCalculoPuntos.Coeficiente; }
        }

        public override int DevolverPuntos(int puesto, int numVehiculos) {
            if (puesto > 0) {
                return ((CampeonatoPuntuable.Carrera.Coeficiente * numVehiculos) / puesto);
            }
            return 0;
        }
    }
}
