using System.ComponentModel;
using Nibi.Dal;
using Nibi.Negocio;

namespace Negocio {

    [Tabla("TABLA")]
    public class EPrueba : EIdBase {

        #region Constructores
        public EPrueba() : base() { }

        public EPrueba(int vId) : base(vId) { }
        #endregion

        #region Sobrecargas de EBase

        protected override void InicializarObjetoNuevo() {
            //TODO: Inicializar las propiedades del objeto.
        }

        //TODO: Si el objeto es compuesto (tiene colecciones, imgenes...) extender el Guardar y el Deshacer aqu.
        protected override void GuardarCore() {
            using (AmbitoTransa transa = this.CrearAmbitoTransa("Guardar entidad")) {	//TODO: Usar ttulo autoexplicativo para la transa
                base.GuardarCore();
                //TODO: Guardar el resto: colecciones, imgenes
                //if(mImagenCargada)
                //    CentroImagenesE.Actual.AddImagen(this, Imagen);
                //if(mCatalogos != null)      //Si se ha cargado
                //    mCatalogos.Guardar();   //guardar si hemos cambiado algo
                transa.Commit();
            }
        }

        public override void Deshacer() {
            //TODO: Deshacer el resto para que se vuelva a cargar: colecciones, imgenes
            //mCatalogos = null;
            base.Deshacer();
        }

        public override bool EsMasculino {
            get { return true; }  //TODO: Asignar gnero de la entidad
        }

        public override string NombreDeLaEntidad {
            get { return "Prueba"; }
        }

        public override bool Modificable(string nombreProp) {
            if (!EstaCargado) return true;

            switch (nombreProp) {
                //TODO: cuando no es modificable
                default:
                    return true;
            }
        }

        [Browsable(false)]
        public override string NPToString {
            get { return ""; } //TODO: Cambiar NPNombre si es necesario.
        }

        #endregion

        #region Propiedades

        //TODO: Aqu colocamos las propiedades necesarias (campos, referencias a otras clases,...)

        #endregion

        #region Colecciones
        
        //TODO: Aqu colocamos las funciones para devolver una coleccin de esta misma clase.

        #endregion
    }
}

