using System;
using System.Collections.Generic;
using System.Text;
using System.Reflection;
using System.ComponentModel;
using Nibi.Negocio;
using System.Collections.ObjectModel;

namespace Negocio {
    public class EnumConvert{

        public EnumConvert() {
        }

        public string GetDescription(Enum en){
            FieldInfo fi = en.GetType().GetField(en.ToString());
            DescriptionAttribute[] da = (DescriptionAttribute[])fi.GetCustomAttributes(typeof(DescriptionAttribute), false);
            if (da.Length > 0) {
                return da[0].Description;
            }
            else {
                return en.ToString();
            }
        }

        public Collection<KeyValuePair<Enum, string>> GetCollectionDescription(Type e) {//collection

            Collection<KeyValuePair<Enum, string>> colKvp = new Collection<KeyValuePair<Enum, string>>();
            //FieldInfo[] fi = e.GetFields();//values
            Array enumer = System.Enum.GetValues(e);
            foreach (Enum en in enumer) {
                colKvp.Add(new KeyValuePair<Enum, string>(en, GetDescription(en)));
            }
            return colKvp;
        }
    }
}
